Compare commits
10 commits
| Author | SHA1 | Date | |
|---|---|---|---|
|
|
cbe66ee3a7 | ||
|
|
33160d08cb | ||
|
|
98206a06fe | ||
|
|
c5fcada2f3 | ||
|
|
9f95ff6e69 | ||
|
|
3078b09e41 | ||
|
|
7441432f8c | ||
|
|
000d285047 | ||
|
|
92cc61b531 | ||
|
|
330d52f8da |
3 changed files with 1 additions and 30 deletions
|
|
@ -1,22 +0,0 @@
|
|||
As of RHEL 10, DEFAULT crypto policy rejects TLS ciphers with RSA key exchange:
|
||||
|
||||
https://docs.redhat.com/en/documentation/red_hat_enterprise_linux/10-beta/html/considerations_in_adopting_rhel_10/security#security
|
||||
|
||||
diff --git a/tests/system-override-allow-rsa-pkcs1-encrypt.sh b/tests/system-override-allow-rsa-pkcs1-encrypt.sh
|
||||
index 714d0af..bd141f3 100755
|
||||
--- a/tests/system-override-allow-rsa-pkcs1-encrypt.sh
|
||||
+++ b/tests/system-override-allow-rsa-pkcs1-encrypt.sh
|
||||
@@ -60,10 +60,10 @@ unset GNUTLS_SYSTEM_PRIORITY_FILE
|
||||
unset GNUTLS_SYSTEM_PRIORITY_FAIL_ON_INVALID
|
||||
|
||||
${TEST}
|
||||
-if [ $? != 0 ]; then
|
||||
- echo "${TEST} expected to succeed by default"
|
||||
+if [ $? = 0 ]; then
|
||||
+ echo "${TEST} expected to fail by default"
|
||||
exit 1
|
||||
fi
|
||||
-echo "RSAES-PKCS1-v1_5 successfully enabled by default"
|
||||
+echo "RSAES-PKCS1-v1_5 correctly failed by default"
|
||||
|
||||
exit 0
|
||||
|
|
@ -140,10 +140,6 @@ Source101: gmp-6.2.1-intel-cet.patch
|
|||
Source102: gmp-6.2.1-c23.patch
|
||||
%endif
|
||||
|
||||
%if 0%{?rhel} >= 10
|
||||
Source201: gnutls-3.8.8-tests-rsa-default.patch
|
||||
%endif
|
||||
|
||||
%if %{with leancrypto}
|
||||
Provides: bundled(leancrypto) = 1.6.0
|
||||
Source300: leancrypto-1.6.0.tar.gz
|
||||
|
|
@ -281,10 +277,6 @@ patch -p1 < %{SOURCE102}
|
|||
popd
|
||||
%endif
|
||||
|
||||
%if 0%{?rhel} >= 10
|
||||
patch -p1 < %{SOURCE201}
|
||||
%endif
|
||||
|
||||
%build
|
||||
%define _lto_cflags %{nil}
|
||||
|
||||
|
|
|
|||
1
sources
1
sources
|
|
@ -1,4 +1,5 @@
|
|||
SHA512 (gnutls-3.8.11.tar.xz) = 68f9e5bec3aa6686fd3319cc9c88a5cc44e2a75144049fc9de5fb55fef2241b4e16996af4be5dd48308abbee8cfaed6c862903f6bb89aff5dfa5410075bd7386
|
||||
SHA512 (gnutls-3.8.11.tar.xz.sig) = 90883e5736299b103844ca42b85d371969ef66b50b60cb185e814ad9978598796e9ed07a590245ff28ac6ac084b1dee93fae0845576464583a5941835990957d
|
||||
SHA512 (gnutls-release-keyring.gpg) = 8c2b39239d1d8c5319757fcf669f28a11de7f8ec4a726f9904c57ba8105bea80240083c0de71b747115907bab46569f10cf58004137cc7884ac5c20f8319ae0a
|
||||
SHA512 (gmp-6.2.1.tar.xz) = c99be0950a1d05a0297d65641dd35b75b74466f7bf03c9e8a99895a3b2f9a0856cd17887738fa51cf7499781b65c049769271cbcb77d057d2e9f1ec52e07dd84
|
||||
SHA512 (leancrypto-1.6.0.tar.gz) = cb6ace4a1642208dd7656b62a48e99d6261f471aa7967b738057745a4534abfa11d380dd5de98a737c0c13b1e1cb37ce780e02297eefc1cf839581629d34e100
|
||||
|
|
|
|||
Loading…
Add table
Add a link
Reference in a new issue